org.jboss.jca.core.workmanager

## Class DistributedWorkManagerStatisticsImpl

- java.lang.Object
- - org.jboss.jca.core.workmanager.DistributedWorkManagerStatisticsImpl

- All Implemented Interfaces:
    org.jboss.jca.core.api.workmanager.DistributedWorkManagerStatistics, org.jboss.jca.core.api.workmanager.WorkManagerStatistics, org.jboss.jca.core.spi.workmanager.notification.NotificationListener

      public class DistributedWorkManagerStatisticsImpl
      extends java.lang.Object
      implements org.jboss.jca.core.api.workmanager.DistributedWorkManagerStatistics, org.jboss.jca.core.spi.workmanager.notification.NotificationListener

  The JBoss distributed work manager statistics implementation

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DistributedWorkManagerStatisticsImpl()` Constructor
    `DistributedWorkManagerStatisticsImpl(org.jboss.jca.core.spi.workmanager.Address ownId, org.jboss.jca.core.spi.workmanager.transport.Transport t)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clear the statistics
    `void` | `deltaDoWorkAccepted()` Delta doWork accepted
    `void` | `deltaDoWorkRejected()` Delta doWork rejected
    `void` | `deltaScheduleWorkAccepted()` Delta scheduleWork accepted
    `void` | `deltaScheduleWorkRejected()` Delta scheduleWork rejected
    `void` | `deltaStartWorkAccepted()` Delta startWork accepted
    `void` | `deltaStartWorkRejected()` Delta startWork rejected
    `void` | `deltaWorkFailed()` Delta work failed
    `void` | `deltaWorkSuccessful()` Delta work successful
    `int` | `getDoWorkAccepted()` DoWork: Accepted
    `int` | `getDoWorkRejected()` DoWork: Rejected
    `int` | `getScheduleWorkAccepted()` ScheduleWork: Accepted
    `int` | `getScheduleWorkRejected()` ScheduleWork: Rejected
    `int` | `getStartWorkAccepted()` StartWork: Accepted
    `int` | `getStartWorkRejected()` StartWork: Rejected
    `int` | `getWorkActive()` Work: Active
    `int` | `getWorkFailed()` Work: Failed
    `int` | `getWorkSuccessful()` Work: Successful
    `void` | `initialize(org.jboss.jca.core.api.workmanager.DistributedWorkManagerStatisticsValues values)` Initialize the statistics
    `void` | `join(org.jboss.jca.core.spi.workmanager.Address address)` A distributed work manager joined
    `void` | `leave(org.jboss.jca.core.spi.workmanager.Address address)` A distributed work manager left
    `void` | `setOwnId(org.jboss.jca.core.spi.workmanager.Address v)` Set own id
    `void` | `setTransport(org.jboss.jca.core.spi.workmanager.transport.Transport v)` Set transport
    `java.lang.String` | `toString()` String representation
    `void` | `updateLongRunningFree(org.jboss.jca.core.spi.workmanager.Address address, long free)` Update the long thread pool information for a distributed work manager
    `void` | `updateShortRunningFree(org.jboss.jca.core.spi.workmanager.Address address, long free)` Update the short thread pool information for a distributed work manager

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DistributedWorkManagerStatisticsImpl

          public DistributedWorkManagerStatisticsImpl()

      Constructor

    - #### DistributedWorkManagerStatisticsImpl

          public DistributedWorkManagerStatisticsImpl(org.jboss.jca.core.spi.workmanager.Address ownId,
                                                      org.jboss.jca.core.spi.workmanager.transport.Transport t)

      Constructor
      Parameters:
        `ownId` - The local distributed work managers identifier
        `t` - The transport

  - ### Method Detail

    - #### setOwnId

          public void setOwnId(org.jboss.jca.core.spi.workmanager.Address v)

      Set own id
      Parameters:
        `v` - The value

    - #### setTransport

          public void setTransport(org.jboss.jca.core.spi.workmanager.transport.Transport v)

      Set transport
      Parameters:
        `v` - The value

    - #### initialize

          public void initialize(org.jboss.jca.core.api.workmanager.DistributedWorkManagerStatisticsValues values)

      Initialize the statistics
      Specified by:
        `initialize` in interface `org.jboss.jca.core.api.workmanager.DistributedWorkManagerStatistics`
      Parameters:
        `values` - The values

    - #### join

          public void join(org.jboss.jca.core.spi.workmanager.Address address)

      A distributed work manager joined
      Specified by:
        `join` in interface `org.jboss.jca.core.spi.workmanager.notification.NotificationListener`
      Parameters:
        `address` - The address

    - #### leave

          public void leave(org.jboss.jca.core.spi.workmanager.Address address)

      A distributed work manager left
      Specified by:
        `leave` in interface `org.jboss.jca.core.spi.workmanager.notification.NotificationListener`
      Parameters:
        `address` - The address

    - #### updateShortRunningFree

          public void updateShortRunningFree(org.jboss.jca.core.spi.workmanager.Address address,
                                             long free)

      Update the short thread pool information for a distributed work manager
      Specified by:
        `updateShortRunningFree` in interface `org.jboss.jca.core.spi.workmanager.notification.NotificationListener`
      Parameters:
        `address` - The address
        `free` - The number of free threads

    - #### updateLongRunningFree

          public void updateLongRunningFree(org.jboss.jca.core.spi.workmanager.Address address,
                                            long free)

      Update the long thread pool information for a distributed work manager
      Specified by:
        `updateLongRunningFree` in interface `org.jboss.jca.core.spi.workmanager.notification.NotificationListener`
      Parameters:
        `address` - The address
        `free` - The number of free threads

    - #### getWorkActive

          public int getWorkActive()

      Work: Active
      Specified by:
        `getWorkActive` in interface `org.jboss.jca.core.api.workmanager.WorkManagerStatistics`
      Returns:
        The value

    - #### getWorkSuccessful

          public int getWorkSuccessful()

      Work: Successful
      Specified by:
        `getWorkSuccessful` in interface `org.jboss.jca.core.api.workmanager.WorkManagerStatistics`
      Returns:
        The value

    - #### deltaWorkSuccessful

          public void deltaWorkSuccessful()

      Delta work successful
      Specified by:
        `deltaWorkSuccessful` in interface `org.jboss.jca.core.spi.workmanager.notification.NotificationListener`

    - #### getWorkFailed

          public int getWorkFailed()

      Work: Failed
      Specified by:
        `getWorkFailed` in interface `org.jboss.jca.core.api.workmanager.WorkManagerStatistics`
      Returns:
        The value

    - #### deltaWorkFailed

          public void deltaWorkFailed()

      Delta work failed
      Specified by:
        `deltaWorkFailed` in interface `org.jboss.jca.core.spi.workmanager.notification.NotificationListener`

    - #### getDoWorkAccepted

          public int getDoWorkAccepted()

      DoWork: Accepted
      Specified by:
        `getDoWorkAccepted` in interface `org.jboss.jca.core.api.workmanager.WorkManagerStatistics`
      Returns:
        The value

    - #### deltaDoWorkAccepted

          public void deltaDoWorkAccepted()

      Delta doWork accepted
      Specified by:
        `deltaDoWorkAccepted` in interface `org.jboss.jca.core.spi.workmanager.notification.NotificationListener`

    - #### getDoWorkRejected

          public int getDoWorkRejected()

      DoWork: Rejected
      Specified by:
        `getDoWorkRejected` in interface `org.jboss.jca.core.api.workmanager.WorkManagerStatistics`
      Returns:
        The value

    - #### deltaDoWorkRejected

          public void deltaDoWorkRejected()

      Delta doWork rejected
      Specified by:
        `deltaDoWorkRejected` in interface `org.jboss.jca.core.spi.workmanager.notification.NotificationListener`

    - #### getScheduleWorkAccepted

          public int getScheduleWorkAccepted()

      ScheduleWork: Accepted
      Specified by:
        `getScheduleWorkAccepted` in interface `org.jboss.jca.core.api.workmanager.WorkManagerStatistics`
      Returns:
        The value

    - #### deltaScheduleWorkAccepted

          public void deltaScheduleWorkAccepted()

      Delta scheduleWork accepted
      Specified by:
        `deltaScheduleWorkAccepted` in interface `org.jboss.jca.core.spi.workmanager.notification.NotificationListener`

    - #### getScheduleWorkRejected

          public int getScheduleWorkRejected()

      ScheduleWork: Rejected
      Specified by:
        `getScheduleWorkRejected` in interface `org.jboss.jca.core.api.workmanager.WorkManagerStatistics`
      Returns:
        The value

    - #### deltaScheduleWorkRejected

          public void deltaScheduleWorkRejected()

      Delta scheduleWork rejected
      Specified by:
        `deltaScheduleWorkRejected` in interface `org.jboss.jca.core.spi.workmanager.notification.NotificationListener`

    - #### getStartWorkAccepted

          public int getStartWorkAccepted()

      StartWork: Accepted
      Specified by:
        `getStartWorkAccepted` in interface `org.jboss.jca.core.api.workmanager.WorkManagerStatistics`
      Returns:
        The value

    - #### deltaStartWorkAccepted

          public void deltaStartWorkAccepted()

      Delta startWork accepted
      Specified by:
        `deltaStartWorkAccepted` in interface `org.jboss.jca.core.spi.workmanager.notification.NotificationListener`

    - #### getStartWorkRejected

          public int getStartWorkRejected()

      StartWork: Rejected
      Specified by:
        `getStartWorkRejected` in interface `org.jboss.jca.core.api.workmanager.WorkManagerStatistics`
      Returns:
        The value

    - #### deltaStartWorkRejected

          public void deltaStartWorkRejected()

      Delta startWork rejected
      Specified by:
        `deltaStartWorkRejected` in interface `org.jboss.jca.core.spi.workmanager.notification.NotificationListener`

    - #### clear

          public void clear()

      Clear the statistics
      Specified by:
        `clear` in interface `org.jboss.jca.core.api.workmanager.WorkManagerStatistics`

    - #### toString

          public java.lang.String toString()

      String representation
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        The string

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)